# Proxy

#### new Cesium.Proxy()
engine/Source/Core/Proxy.js 11

Base class for proxying requested made by `Resource`.

##### See:

- DefaultProxy

### Methods

#### getURL(resource) → string
engine/Source/Core/Proxy.js 22

Get the final URL to use to request a given resource.

Name | Type | Description
--- | --- | ---
`resource` | string | The resource to request.

##### Returns:

proxied resource

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.